#pragma once
#include <map>
struct Fish_MultiLanguageCFGData
{
	//Key
	std::string mID;
	//ÖÐÎÄÃû×Ö
	std::string mName;
};

class Fish_MultiLanguageCFG
{
public:
private:
	static std::auto_ptr<Fish_MultiLanguageCFG> msSingleton;
public:
	int GetCount();
	const Fish_MultiLanguageCFGData* GetData(std::string ID);
	const std::map<std::string, Fish_MultiLanguageCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_MultiLanguageCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, Fish_MultiLanguageCFGData> mMapData;
};
